Index: TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/annotation/BuildWordPropTableMacro.groovy
===================================================================
--- TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/annotation/BuildWordPropTableMacro.groovy	(revision 3428)
+++ TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/annotation/BuildWordPropTableMacro.groovy	(revision 3429)
@@ -185,4 +185,6 @@
 	writer.flush()
 }
 println "Saved in "+tsvFile.getAbsolutePath()
-writer.close()
\ No newline at end of file
+writer.close()
+
+concordance.delete()
Index: TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/annotation/ExportWordPropertiesToTableMacro.groovy
===================================================================
--- TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/annotation/ExportWordPropertiesToTableMacro.groovy	(revision 3428)
+++ TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/annotation/ExportWordPropertiesToTableMacro.groovy	(revision 3429)
@@ -185,4 +185,6 @@
 	writer.flush()
 }
 println "Saved in "+tsvFile.getAbsolutePath()
-writer.close()
\ No newline at end of file
+writer.close()
+
+concordance.delete()
Index: TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/annotation/ImportWordPropertiesFromTableMacro.groovy
===================================================================
--- TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/annotation/ImportWordPropertiesFromTableMacro.groovy	(revision 3428)
+++ TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/annotation/ImportWordPropertiesFromTableMacro.groovy	(revision 3429)
@@ -9,6 +9,7 @@
 
 import groovy.transform.Field
 
+import org.txm.core.preferences.TBXPreferences
 import org.txm.rcp.swt.widget.parameters.*
 
 @Field @Option(name="tsvFile", usage="The annotation TSV file", widget="FileOpen", required=true, def="")
@@ -23,10 +24,6 @@
 if (!ParametersDialog.open(this)) return;
 
 println "Importing the $properties properties in the $selection corpus"
-println "selection="+selection
-println "sel class="+selection.getClass()
-println "sel project="+selection.getParent()
-println "sel name="+selection.getName()
 
 File inputDirectory = new File(selection.getParent().getProjectDirectory(), "txm/"+selection.getName())
 
@@ -37,4 +34,4 @@
 	, "properties": properties
 	, "debug":debug])
 
-org.txm.rcp.commands.workspace.UpdateCorpus.update(selection, false)
\ No newline at end of file
+org.txm.rcp.commands.workspace.UpdateCorpus.update(selection, TBXPreferences.getInstance().getBoolean(TBXPreferences.UPDATEEDITIONS))
Index: TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/annotation/InjectWordPropTableMacro.groovy
===================================================================
--- TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/annotation/InjectWordPropTableMacro.groovy	(revision 3428)
+++ TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/annotation/InjectWordPropTableMacro.groovy	(revision 3429)
@@ -79,9 +79,12 @@
 	no++;
 }
 
-println "Injecting..."
+println "Injecting properties..."
 //for (String textid : injections.keySet()) {
-for (File currentXMLFile : inputDirectory.listFiles().sort{ it.name }) {
+def files = inputDirectory.listFiles().sort{ it.name }
+ConsoleProgressBar cpb = new ConsoleProgressBar(files.size())
+for (File currentXMLFile : files) {
+	cpb.tick()
 	if (currentXMLFile.isDirectory()) continue;
 	if (currentXMLFile.isHidden()) continue;
 	
@@ -101,12 +104,12 @@
 			currentXMLFile = tmp;
 		}
 		def builder = new AnnotationInjectionFilter(currentXMLFile, injections[textid], properties, debug)
-		println "injecting in $currentXMLFile $properties"
+		if (debug) println "injecting in $currentXMLFile $properties"
 		builder.process(new File(outputDirectory, filename));
 		
 		if (tmp != null) tmp.delete(); // tmp != null if inputdir == outputir
 		
-		println ""+builder.n+" lines injected."
+		if (debug) println ""+builder.n+" lines injected."
 	} else {
 		if (!outputDirectory.equals(inputDirectory)) {
 			println "copying file $currentXMLFile"
@@ -115,4 +118,6 @@
 	}
 }
 
-println "New XML-TXM files are saved in ${outputDirectory}."
\ No newline at end of file
+cpb.done()
+
+println "New XML-TXM files are saved in ${outputDirectory}."
Index: TXM/trunk/org.txm.rcp/plugin.xml
===================================================================
--- TXM/trunk/org.txm.rcp/plugin.xml	(revision 3428)
+++ TXM/trunk/org.txm.rcp/plugin.xml	(revision 3429)
@@ -521,7 +521,7 @@
                </command>
                <separator
                      name="menu.file.import.separator.end"
-                     visible="false">
+                     visible="true">
                </separator>
                <menu
                      id="menu.file.import.properties"
